FROM python:3.11-slim

# install ffmpeg
RUN apt-get update && apt-get install -y ffmpeg && rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

# create persistent folder
RUN mkdir -p /data/audio

ENV PYTHONUNBUFFERED=1

CMD ["python", "bot.py"]
